Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Interface INodeEditPart

All Superinterfaces:
  EditPart, GraphicalEditPart, IAdaptable, INotableEditPart, NodeEditPart

All Known Implementing Classes:
  ConnectionNodeEditPart, ShapeNodeEditPart

public interface INodeEditPart
extends NodeEditPart, INotableEditPart

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Method Summary
`java.lang.String` `mapConnectionAnchorToTerminal(ConnectionAnchor c)` Method mapConnectionAnchorToTerminal.
`ConnectionAnchor` `mapTerminalToConnectionAnchor(java.lang.String terminal)` Method mapTerminalToConnectionAnchor.

Methods inherited from interface org.eclipse.gef.NodeEditPart
`getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.editparts.INotableEditPart
`canAttachNote`

Method Detail

### mapConnectionAnchorToTerminal

    public java.lang.String mapConnectionAnchorToTerminal(ConnectionAnchor c)

  Method mapConnectionAnchorToTerminal.

  Parameters:
    `c` -
  Returns:
    Anchor

### mapTerminalToConnectionAnchor

    public ConnectionAnchor mapTerminalToConnectionAnchor(java.lang.String terminal)

  Method mapTerminalToConnectionAnchor.

  Parameters:
    `terminal` -
  Returns:
    ConnectionAnchor

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.